function parameters = loadParametersMP_P()
prompt = {'Type the file name of original image:'%1
          'Type spline wavelet packets order:'%2
          'Type `co` for conv., `dh` for diff. heat, `ch` for colloc. heat:'%3
          'Type the level till which wavelet packets are created:'%4
          'Type the maximal number of iterations:'%5
          'Type kernel spline order:'%6
          'Type: std of kernel for conv., time for heat:'%7
          'Type bandwidth  for noise  model, 0 for real noise:'%8
          'Type the magnitude of noise:'%9
          'Type `y`  to change noise, else type `n`:'%10
          };
dlg_title = 'Input parameters';

load answerMP_P parameters nois
%default values
%parameters=[]
if (isempty(parameters))
   parameters = {'lena','4','co','6','100','2','3','300','10','y'}; 
end
parameters = inputdlg(prompt,dlg_title,1,parameters);
if (~isempty(parameters))
    save answerMP_P parameters nois
end

end